package _VisualDVM.GlobalData.FileObject;
import Common.Database.Objects.DBObject;

import java.io.File;
import java.util.Date;
public class DirInfo extends DBObject {
    File dir;
    long mdate;
    public DirInfo(File dir_in, long mdate_in) {
        dir = dir_in;
        mdate = mdate_in;
    }
    @Override
    public Object getPK() {
        return dir.getName();
    }
    public Date getDate() {
        return new Date(mdate);
    }
    public File getFile() {
        return dir;
    }
}
